> For the complete documentation index, see [llms.txt](https://docs.civictheme.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.civictheme.io/development/drupal-theme/namespaces.md).

# Namespaces

Component namespaces have changed with the release of CivicTheme 1.11 which migrated CivicTheme components to use Single Directory Components.

## Current Namespace Format

All CivicTheme components now use the format `civictheme:<component_name>` for example `civictheme:button` or `civictheme:accordion`. There is no longer nesting of components into their atomic directories.

## Sub-theme Namespacing

In a sub-theme, a new component is namespaced with the sub-theme's machine name. For example: `civictheme_subtheme:new_button`

However, when overriding a CivicTheme component, the sub-theme uses the original CivicTheme namespace `civictheme:button` to refer to this overridden component. This ensures that the override properly replaces the base theme's component.

## Single Directory Components

For more information about the Single Directory Components specification, see the [Drupal documentation on SDC](https://www.drupal.org/docs/develop/theming-drupal/using-single-directory-components).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.civictheme.io/development/drupal-theme/namespaces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
